#ifndef DOM_BINDINGNAMES_H_
#define DOM_BINDINGNAMES_H_

#include <stddef.h>
#include <stdint.h>
#include "mozilla/Attributes.h"

namespace mozilla::dom {

enum class BindingNamesOffset : uint16_t {
  ANGLE_instanced_arrays = 0,
  APZHitResultFlags = 23,
  AbortController = 41,
  AbortSignal = 57,
  AbstractRange = 69,
  AccessibleNode = 83,
  Addon = 98,
  AddonEvent = 104,
  AddonInstall = 115,
  AddonManager = 128,
  AddonManagerPermissions = 141,
  AnalyserNode = 165,
  Animation = 178,
  AnimationEffect = 188,
  AnimationEvent = 204,
  AnimationPlaybackEvent = 219,
  AnimationTimeline = 242,
  AnonymousContent = 260,
  Attr = 277,
  Audio = 282,
  AudioBuffer = 288,
  AudioBufferSourceNode = 300,
  AudioContext = 322,
  AudioData = 335,
  AudioDecoder = 345,
  AudioDestinationNode = 358,
  AudioEncoder = 379,
  AudioListener = 392,
  AudioNode = 406,
  AudioParam = 416,
  AudioParamMap = 427,
  AudioProcessingEvent = 441,
  AudioScheduledSourceNode = 462,
  AudioTrack = 487,
  AudioTrackList = 498,
  AudioWorklet = 513,
  AudioWorkletGlobalScope = 526,
  AudioWorkletNode = 550,
  AudioWorkletProcessor = 567,
  AuthenticatorAssertionResponse = 589,
  AuthenticatorAttestationResponse = 620,
  AuthenticatorResponse = 653,
  BarProp = 675,
  BaseAudioContext = 683,
  BatteryManager = 700,
  BeforeUnloadEvent = 715,
  BiquadFilterNode = 733,
  Blob = 750,
  BlobEvent = 755,
  BroadcastChannel = 765,
  BrowsingContext = 782,
  BrowsingContextGroup = 798,
  ByteLengthQueuingStrategy = 819,
  CDATASection = 845,
  CSS = 858,
  CSS2Properties = 862,
  CSSAnimation = 877,
  CSSConditionRule = 890,
  CSSContainerRule = 907,
  CSSCounterStyleRule = 924,
  CSSCustomPropertyRegisteredEvent = 944,
  CSSFontFaceRule = 977,
  CSSFontFeatureValuesRule = 993,
  CSSFontPaletteValuesRule = 1018,
  CSSGroupingRule = 1043,
  CSSImportRule = 1059,
  CSSKeyframeRule = 1073,
  CSSKeyframesRule = 1089,
  CSSLayerBlockRule = 1106,
  CSSLayerStatementRule = 1124,
  CSSMarginRule = 1146,
  CSSMediaRule = 1160,
  CSSMozDocumentRule = 1173,
  CSSNamespaceRule = 1192,
  CSSPageRule = 1209,
  CSSPropertyRule = 1221,
  CSSPseudoElement = 1237,
  CSSRule = 1254,
  CSSRuleList = 1262,
  CSSScopeRule = 1274,
  CSSStartingStyleRule = 1287,
  CSSStyleDeclaration = 1308,
  CSSStyleRule = 1328,
  CSSStyleSheet = 1341,
  CSSSupportsRule = 1355,
  CSSTransition = 1371,
  Cache = 1385,
  CacheStorage = 1391,
  CallbackDebuggerNotification = 1404,
  CanonicalBrowsingContext = 1433,
  CanvasCaptureMediaStream = 1458,
  CanvasGradient = 1483,
  CanvasPattern = 1498,
  CanvasRenderingContext2D = 1512,
  CaretPosition = 1537,
  CaretStateChangedEvent = 1551,
  ChannelMergerNode = 1574,
  ChannelSplitterNode = 1592,
  ChannelWrapper = 1612,
  CharacterData = 1627,
  CheckerboardReportService = 1641,
  ChildProcessMessageManager = 1667,
  ChildSHistory = 1694,
  ChromeMessageBroadcaster = 1708,
  ChromeMessageSender = 1733,
  ChromeNodeList = 1753,
  ChromeUtils = 1768,
  ChromeWorker = 1780,
  Client = 1793,
  Clients = 1800,
  Clipboard = 1808,
  ClipboardEvent = 1818,
  ClipboardItem = 1833,
  ClonedErrorHolder = 1847,
  CloseEvent = 1865,
  CommandEvent = 1876,
  Comment = 1889,
  CompositionEvent = 1897,
  CompressionStream = 1914,
  ConsoleInstance = 1932,
  ConstantSourceNode = 1948,
  ContentFrameMessageManager = 1967,
  ContentProcessMessageManager = 1994,
  ContentVisibilityAutoStateChangeEvent = 2023,
  ConvolverNode = 2061,
  CountQueuingStrategy = 2075,
  CreateOfferRequest = 2096,
  Credential = 2115,
  CredentialsContainer = 2126,
  Crypto = 2147,
  CryptoKey = 2154,
  CustomElementRegistry = 2164,
  CustomEvent = 2186,
  CustomStateSet = 2198,
  DOMException = 2213,
  DOMImplementation = 2226,
  DOMLocalization = 2244,
  DOMMatrix = 2260,
  DOMMatrixReadOnly = 2270,
  DOMParser = 2288,
  DOMPoint = 2298,
  DOMPointReadOnly = 2307,
  DOMQuad = 2324,
  DOMRect = 2332,
  DOMRectList = 2340,
  DOMRectReadOnly = 2352,
  DOMStringList = 2368,
  DOMStringMap = 2382,
  DOMTokenList = 2395,
  DataTransfer = 2408,
  DataTransferItem = 2421,
  DataTransferItemList = 2438,
  DebuggerNotification = 2459,
  DebuggerNotificationObserver = 2480,
  DecompressionStream = 2509,
  DedicatedWorkerGlobalScope = 2529,
  DelayNode = 2556,
  DeprecationReportBody = 2566,
  DeviceAcceleration = 2588,
  DeviceLightEvent = 2607,
  DeviceMotionEvent = 2624,
  DeviceOrientationEvent = 2642,
  DeviceRotationRate = 2665,
  Directory = 2684,
  Document = 2694,
  DocumentFragment = 2703,
  DocumentL10n = 2720,
  DocumentTimeline = 2733,
  DocumentType = 2750,
  DominatorTree = 2763,
  DragEvent = 2777,
  DynamicsCompressorNode = 2787,
  EXT_blend_minmax = 2810,
  EXT_color_buffer_float = 2827,
  EXT_color_buffer_half_float = 2850,
  EXT_disjoint_timer_query = 2878,
  EXT_float_blend = 2903,
  EXT_frag_depth = 2919,
  EXT_sRGB = 2934,
  EXT_shader_texture_lod = 2943,
  EXT_texture_compression_bptc = 2966,
  EXT_texture_compression_rgtc = 2995,
  EXT_texture_filter_anisotropic = 3024,
  EXT_texture_norm16 = 3055,
  Element = 3074,
  ElementInternals = 3082,
  EncodedAudioChunk = 3099,
  EncodedVideoChunk = 3117,
  ErrorEvent = 3135,
  Event = 3146,
  EventCallbackDebuggerNotification = 3152,
  EventCounts = 3186,
  EventSource = 3198,
  EventTarget = 3210,
  Exception = 3222,
  ExtendableEvent = 3232,
  ExtendableMessageEvent = 3248,
  ExtensionAlarms = 3271,
  ExtensionBrowser = 3287,
  ExtensionBrowserSettings = 3304,
  ExtensionBrowserSettingsColorManagement = 3329,
  ExtensionDns = 3369,
  ExtensionEventManager = 3382,
  ExtensionMockAPI = 3404,
  ExtensionPort = 3421,
  ExtensionProxy = 3435,
  ExtensionRuntime = 3450,
  ExtensionScripting = 3467,
  ExtensionSetting = 3486,
  ExtensionTest = 3503,
  External = 3517,
  FeaturePolicy = 3526,
  FeaturePolicyViolationReportBody = 3540,
  FetchEvent = 3573,
  FetchObserver = 3584,
  File = 3598,
  FileList = 3603,
  FileReader = 3612,
  FileReaderSync = 3623,
  FileSystem = 3638,
  FileSystemDirectoryEntry = 3649,
  FileSystemDirectoryHandle = 3674,
  FileSystemDirectoryHandle_AsyncIterator = 3700,
  FileSystemDirectoryIterator = 3740,
  FileSystemDirectoryReader = 3768,
  FileSystemEntry = 3794,
  FileSystemFileEntry = 3810,
  FileSystemFileHandle = 3830,
  FileSystemHandle = 3851,
  FileSystemSyncAccessHandle = 3868,
  FileSystemWritableFileStream = 3895,
  Flex = 3924,
  FlexItemValues = 3929,
  FlexLineValues = 3944,
  FluentBundle = 3959,
  FluentBundleAsyncIterator = 3972,
  FluentBundleIterator = 3998,
  FluentPattern = 4019,
  FluentResource = 4033,
  FocusEvent = 4048,
  FontFace = 4059,
  FontFaceSet = 4068,
  FontFaceSetIterator = 4080,
  FontFaceSetLoadEvent = 4100,
  FormData = 4121,
  FormData_Iterator = 4130,
  FormDataEvent = 4148,
  FragmentDirective = 4162,
  FrameCrashedEvent = 4180,
  FrameLoader = 4198,
  GPU = 4210,
  GPUAdapter = 4214,
  GPUAdapterInfo = 4225,
  GPUBindGroup = 4240,
  GPUBindGroupLayout = 4253,
  GPUBuffer = 4272,
  GPUBufferUsage = 4282,
  GPUCanvasContext = 4297,
  GPUColorWrite = 4314,
  GPUCommandBuffer = 4328,
  GPUCommandEncoder = 4345,
  GPUCompilationInfo = 4363,
  GPUCompilationMessage = 4382,
  GPUComputePassEncoder = 4404,
  GPUComputePipeline = 4426,
  GPUDevice = 4445,
  GPUDeviceLostInfo = 4455,
  GPUError = 4473,
  GPUInternalError = 4482,
  GPUMapMode = 4499,
  GPUOutOfMemoryError = 4510,
  GPUPipelineLayout = 4530,
  GPUQuerySet = 4548,
  GPUQueue = 4560,
  GPURenderBundle = 4569,
  GPURenderBundleEncoder = 4585,
  GPURenderPassEncoder = 4608,
  GPURenderPipeline = 4629,
  GPUSampler = 4647,
  GPUShaderModule = 4658,
  GPUShaderStage = 4674,
  GPUSupportedFeatures = 4689,
  GPUSupportedLimits = 4710,
  GPUTexture = 4729,
  GPUTextureUsage = 4740,
  GPUTextureView = 4756,
  GPUUncapturedErrorEvent = 4771,
  GPUValidationError = 4795,
  GainNode = 4814,
  Gamepad = 4823,
  GamepadAxisMoveEvent = 4831,
  GamepadButton = 4852,
  GamepadButtonEvent = 4866,
  GamepadEvent = 4885,
  GamepadHapticActuator = 4898,
  GamepadLightIndicator = 4920,
  GamepadPose = 4942,
  GamepadServiceTest = 4954,
  GamepadTouch = 4973,
  Geolocation = 4986,
  GeolocationCoordinates = 4998,
  GeolocationPosition = 5021,
  GeolocationPositionError = 5041,
  GetUserMediaRequest = 5066,
  GleanBoolean = 5086,
  GleanCategory = 5099,
  GleanCounter = 5113,
  GleanCustomDistribution = 5126,
  GleanDatetime = 5150,
  GleanDenominator = 5164,
  GleanEvent = 5181,
  GleanImpl = 5192,
  GleanLabeled = 5202,
  GleanMemoryDistribution = 5215,
  GleanMetric = 5239,
  GleanNumerator = 5251,
  GleanObject = 5266,
  GleanPingsImpl = 5278,
  GleanQuantity = 5293,
  GleanRate = 5307,
  GleanString = 5317,
  GleanStringList = 5329,
  GleanText = 5345,
  GleanTimespan = 5355,
  GleanTimingDistribution = 5369,
  GleanUrl = 5393,
  GleanUuid = 5402,
  Grid = 5412,
  GridArea = 5417,
  GridDimension = 5426,
  GridLine = 5440,
  GridLines = 5449,
  GridTrack = 5459,
  GridTracks = 5469,
  HTMLAllCollection = 5480,
  HTMLAnchorElement = 5498,
  HTMLAreaElement = 5516,
  HTMLAudioElement = 5532,
  HTMLBRElement = 5549,
  HTMLBaseElement = 5563,
  HTMLBodyElement = 5579,
  HTMLButtonElement = 5595,
  HTMLCanvasElement = 5613,
  HTMLCollection = 5631,
  HTMLDListElement = 5646,
  HTMLDataElement = 5663,
  HTMLDataListElement = 5679,
  HTMLDetailsElement = 5699,
  HTMLDialogElement = 5718,
  HTMLDirectoryElement = 5736,
  HTMLDivElement = 5757,
  HTMLDocument = 5772,
  HTMLElement = 5785,
  HTMLEmbedElement = 5797,
  HTMLFieldSetElement = 5814,
  HTMLFontElement = 5834,
  HTMLFormControlsCollection = 5850,
  HTMLFormElement = 5877,
  HTMLFrameElement = 5893,
  HTMLFrameSetElement = 5910,
  HTMLHRElement = 5930,
  HTMLHeadElement = 5944,
  HTMLHeadingElement = 5960,
  HTMLHtmlElement = 5979,
  HTMLIFrameElement = 5995,
  HTMLImageElement = 6013,
  HTMLInputElement = 6030,
  HTMLLIElement = 6047,
  HTMLLabelElement = 6061,
  HTMLLegendElement = 6078,
  HTMLLinkElement = 6096,
  HTMLMapElement = 6112,
  HTMLMarqueeElement = 6127,
  HTMLMediaElement = 6146,
  HTMLMenuElement = 6163,
  HTMLMetaElement = 6179,
  HTMLMeterElement = 6195,
  HTMLModElement = 6212,
  HTMLOListElement = 6227,
  HTMLObjectElement = 6244,
  HTMLOptGroupElement = 6262,
  HTMLOptionElement = 6282,
  HTMLOptionsCollection = 6300,
  HTMLOutputElement = 6322,
  HTMLParagraphElement = 6340,
  HTMLParamElement = 6361,
  HTMLPictureElement = 6378,
  HTMLPreElement = 6397,
  HTMLProgressElement = 6412,
  HTMLQuoteElement = 6432,
  HTMLScriptElement = 6449,
  HTMLSelectElement = 6467,
  HTMLSlotElement = 6485,
  HTMLSourceElement = 6501,
  HTMLSpanElement = 6519,
  HTMLStyleElement = 6535,
  HTMLTableCaptionElement = 6552,
  HTMLTableCellElement = 6576,
  HTMLTableColElement = 6597,
  HTMLTableElement = 6617,
  HTMLTableRowElement = 6634,
  HTMLTableSectionElement = 6654,
  HTMLTemplateElement = 6678,
  HTMLTextAreaElement = 6698,
  HTMLTimeElement = 6718,
  HTMLTitleElement = 6734,
  HTMLTrackElement = 6751,
  HTMLUListElement = 6768,
  HTMLUnknownElement = 6785,
  HTMLVideoElement = 6804,
  HashChangeEvent = 6821,
  Headers = 6837,
  Headers_Iterator = 6845,
  HeapSnapshot = 6862,
  Highlight = 6875,
  HighlightRegistry = 6885,
  History = 6903,
  IDBCursor = 6911,
  IDBCursorWithValue = 6921,
  IDBDatabase = 6940,
  IDBFactory = 6952,
  IDBIndex = 6963,
  IDBKeyRange = 6972,
  IDBObjectStore = 6984,
  IDBOpenDBRequest = 6999,
  IDBRequest = 7016,
  IDBTransaction = 7027,
  IDBVersionChangeEvent = 7042,
  IIRFilterNode = 7064,
  IOUtils = 7078,
  IdentityCredential = 7086,
  IdleDeadline = 7105,
  Image = 7118,
  ImageBitmap = 7124,
  ImageBitmapRenderingContext = 7136,
  ImageCapture = 7164,
  ImageCaptureError = 7177,
  ImageCaptureErrorEvent = 7195,
  ImageData = 7218,
  ImageDocument = 7228,
  InputEvent = 7242,
  InspectorCSSParser = 7253,
  InspectorFontFace = 7272,
  InspectorUtils = 7290,
  InstallTriggerImpl = 7305,
  IntersectionObserver = 7324,
  IntersectionObserverEntry = 7345,
  IntlUtils = 7371,
  InvokeEvent = 7381,
  JSProcessActorChild = 7393,
  JSProcessActorParent = 7413,
  JSWindowActorChild = 7434,
  JSWindowActorParent = 7453,
  KeyEvent = 7473,
  KeyboardEvent = 7482,
  KeyframeEffect = 7496,
  L10nFileSource = 7511,
  L10nOverlays = 7526,
  L10nRegistry = 7539,
  LargestContentfulPaint = 7552,
  LegacyMozTCPSocket = 7575,
  Localization = 7594,
  Location = 7607,
  Lock = 7616,
  LockManager = 7621,
  MIDIAccess = 7633,
  MIDIConnectionEvent = 7644,
  MIDIInput = 7664,
  MIDIInputMap = 7674,
  MIDIMessageEvent = 7687,
  MIDIOutput = 7704,
  MIDIOutputMap = 7715,
  MIDIPort = 7729,
  MOZ_debug = 7738,
  MatchGlob = 7748,
  MatchPattern = 7758,
  MatchPatternSet = 7771,
  MathMLElement = 7787,
  MediaCapabilities = 7801,
  MediaCapabilitiesInfo = 7819,
  MediaControlService = 7841,
  MediaController = 7861,
  MediaDeviceInfo = 7877,
  MediaDevices = 7893,
  MediaElementAudioSourceNode = 7906,
  MediaEncryptedEvent = 7934,
  MediaError = 7954,
  MediaKeyError = 7965,
  MediaKeyMessageEvent = 7979,
  MediaKeySession = 8000,
  MediaKeyStatusMap = 8016,
  MediaKeyStatusMap_Iterator = 8034,
  MediaKeySystemAccess = 8061,
  MediaKeys = 8082,
  MediaList = 8092,
  MediaMetadata = 8102,
  MediaQueryList = 8116,
  MediaQueryListEvent = 8131,
  MediaRecorder = 8151,
  MediaRecorderErrorEvent = 8165,
  MediaSession = 8189,
  MediaSource = 8202,
  MediaStream = 8214,
  MediaStreamAudioDestinationNode = 8226,
  MediaStreamAudioSourceNode = 8258,
  MediaStreamError = 8285,
  MediaStreamEvent = 8302,
  MediaStreamTrack = 8319,
  MediaStreamTrackAudioSourceNode = 8336,
  MediaStreamTrackEvent = 8368,
  MerchantValidationEvent = 8390,
  MessageBroadcaster = 8414,
  MessageChannel = 8433,
  MessageEvent = 8448,
  MessageListenerManager = 8461,
  MessagePort = 8484,
  MessageSender = 8496,
  MimeType = 8510,
  MimeTypeArray = 8519,
  MouseEvent = 8533,
  MouseScrollEvent = 8544,
  MozCanvasPrintState = 8561,
  MozDocumentMatcher = 8581,
  MozDocumentObserver = 8600,
  MozQueryInterface = 8620,
  MozSharedMap = 8638,
  MozSharedMap_Iterator = 8651,
  MozSharedMapChangeEvent = 8673,
  MozStorageAsyncStatementParams = 8697,
  MozStorageStatementParams = 8728,
  MozStorageStatementRow = 8754,
  MozWritableSharedMap = 8777,
  MutationEvent = 8798,
  MutationObserver = 8812,
  MutationRecord = 8829,
  NamedNodeMap = 8844,
  NavigationPreloadManager = 8857,
  Navigator = 8882,
  NetworkInformation = 8892,
  Node = 8911,
  NodeFilter = 8916,
  NodeIterator = 8927,
  NodeList = 8940,
  Notification = 8949,
  NotificationEvent = 8962,
  NotifyPaintEvent = 8980,
  OES_draw_buffers_indexed = 8997,
  OES_element_index_uint = 9022,
  OES_fbo_render_mipmap = 9045,
  OES_standard_derivatives = 9067,
  OES_texture_float = 9092,
  OES_texture_float_linear = 9110,
  OES_texture_half_float = 9135,
  OES_texture_half_float_linear = 9158,
  OES_vertex_array_object = 9188,
  OVR_multiview2 = 9212,
  OfflineAudioCompletionEvent = 9227,
  OfflineAudioContext = 9255,
  OffscreenCanvas = 9275,
  OffscreenCanvasRenderingContext2D = 9291,
  Option = 9325,
  OscillatorNode = 9332,
  PageTransitionEvent = 9347,
  PaintRequest = 9367,
  PaintRequestList = 9380,
  PaintWorkletGlobalScope = 9397,
  PannerNode = 9421,
  ParentProcessMessageManager = 9432,
  Path2D = 9460,
  PathUtils = 9467,
  PaymentAddress = 9477,
  PaymentMethodChangeEvent = 9492,
  PaymentRequest = 9517,
  PaymentRequestUpdateEvent = 9532,
  PaymentResponse = 9558,
  Performance = 9574,
  PerformanceEntry = 9586,
  PerformanceEntryEvent = 9603,
  PerformanceEventTiming = 9625,
  PerformanceMark = 9648,
  PerformanceMeasure = 9664,
  PerformanceNavigation = 9683,
  PerformanceNavigationTiming = 9705,
  PerformanceObserver = 9733,
  PerformanceObserverEntryList = 9753,
  PerformancePaintTiming = 9782,
  PerformanceResourceTiming = 9805,
  PerformanceServerTiming = 9831,
  PerformanceTiming = 9855,
  PeriodicWave = 9873,
  PermissionStatus = 9886,
  Permissions = 9903,
  PlacesBookmark = 9915,
  PlacesBookmarkAddition = 9930,
  PlacesBookmarkChanged = 9953,
  PlacesBookmarkGuid = 9975,
  PlacesBookmarkKeyword = 9994,
  PlacesBookmarkMoved = 10016,
  PlacesBookmarkRemoved = 10036,
  PlacesBookmarkTags = 10058,
  PlacesBookmarkTime = 10077,
  PlacesBookmarkTitle = 10096,
  PlacesBookmarkUrl = 10116,
  PlacesEvent = 10134,
  PlacesEventCounts = 10146,
  PlacesFavicon = 10164,
  PlacesHistoryCleared = 10178,
  PlacesObservers = 10199,
  PlacesPurgeCaches = 10215,
  PlacesRanking = 10233,
  PlacesVisit = 10247,
  PlacesVisitRemoved = 10259,
  PlacesVisitTitle = 10278,
  PlacesWeakCallbackWrapper = 10295,
  Plugin = 10321,
  PluginArray = 10328,
  PluginCrashedEvent = 10340,
  PointerEvent = 10359,
  PopStateEvent = 10372,
  PopupBlockedEvent = 10386,
  PopupPositionedEvent = 10404,
  PositionStateEvent = 10425,
  PrecompiledScript = 10444,
  ProcessMessageManager = 10462,
  ProcessingInstruction = 10484,
  ProgressEvent = 10506,
  PromiseDebugging = 10520,
  PromiseNativeHandler = 10537,
  PromiseRejectionEvent = 10558,
  PublicKeyCredential = 10580,
  PushEvent = 10600,
  PushManager = 10610,
  PushManagerImpl = 10622,
  PushMessageData = 10638,
  PushSubscription = 10654,
  PushSubscriptionOptions = 10671,
  RadioNodeList = 10695,
  Range = 10709,
  ReadableByteStreamController = 10715,
  ReadableStream = 10744,
  ReadableStream_AsyncIterator = 10759,
  ReadableStreamBYOBReader = 10788,
  ReadableStreamBYOBRequest = 10813,
  ReadableStreamDefaultController = 10839,
  ReadableStreamDefaultReader = 10871,
  Report = 10899,
  ReportBody = 10906,
  ReportingObserver = 10917,
  Request = 10935,
  ResizeObserver = 10943,
  ResizeObserverEntry = 10958,
  ResizeObserverSize = 10978,
  Response = 10997,
  SVGAElement = 11006,
  SVGAngle = 11018,
  SVGAnimateElement = 11027,
  SVGAnimateMotionElement = 11045,
  SVGAnimateTransformElement = 11069,
  SVGAnimatedAngle = 11096,
  SVGAnimatedBoolean = 11113,
  SVGAnimatedEnumeration = 11132,
  SVGAnimatedInteger = 11155,
  SVGAnimatedLength = 11174,
  SVGAnimatedLengthList = 11192,
  SVGAnimatedNumber = 11214,
  SVGAnimatedNumberList = 11232,
  SVGAnimatedPreserveAspectRatio = 11254,
  SVGAnimatedRect = 11285,
  SVGAnimatedString = 11301,
  SVGAnimatedTransformList = 11319,
  SVGAnimationElement = 11344,
  SVGCircleElement = 11364,
  SVGClipPathElement = 11381,
  SVGComponentTransferFunctionElement = 11400,
  SVGDefsElement = 11436,
  SVGDescElement = 11451,
  SVGElement = 11466,
  SVGEllipseElement = 11477,
  SVGFEBlendElement = 11495,
  SVGFEColorMatrixElement = 11513,
  SVGFEComponentTransferElement = 11537,
  SVGFECompositeElement = 11567,
  SVGFEConvolveMatrixElement = 11589,
  SVGFEDiffuseLightingElement = 11616,
  SVGFEDisplacementMapElement = 11644,
  SVGFEDistantLightElement = 11672,
  SVGFEDropShadowElement = 11697,
  SVGFEFloodElement = 11720,
  SVGFEFuncAElement = 11738,
  SVGFEFuncBElement = 11756,
  SVGFEFuncGElement = 11774,
  SVGFEFuncRElement = 11792,
  SVGFEGaussianBlurElement = 11810,
  SVGFEImageElement = 11835,
  SVGFEMergeElement = 11853,
  SVGFEMergeNodeElement = 11871,
  SVGFEMorphologyElement = 11893,
  SVGFEOffsetElement = 11916,
  SVGFEPointLightElement = 11935,
  SVGFESpecularLightingElement = 11958,
  SVGFESpotLightElement = 11987,
  SVGFETileElement = 12009,
  SVGFETurbulenceElement = 12026,
  SVGFilterElement = 12049,
  SVGForeignObjectElement = 12066,
  SVGGElement = 12090,
  SVGGeometryElement = 12102,
  SVGGradientElement = 12121,
  SVGGraphicsElement = 12140,
  SVGImageElement = 12159,
  SVGLength = 12175,
  SVGLengthList = 12185,
  SVGLineElement = 12199,
  SVGLinearGradientElement = 12214,
  SVGMPathElement = 12239,
  SVGMarkerElement = 12255,
  SVGMaskElement = 12272,
  SVGMatrix = 12287,
  SVGMetadataElement = 12297,
  SVGNumber = 12316,
  SVGNumberList = 12326,
  SVGPathElement = 12340,
  SVGPathSeg = 12355,
  SVGPathSegArcAbs = 12366,
  SVGPathSegArcRel = 12383,
  SVGPathSegClosePath = 12400,
  SVGPathSegCurvetoCubicAbs = 12420,
  SVGPathSegCurvetoCubicRel = 12446,
  SVGPathSegCurvetoCubicSmoothAbs = 12472,
  SVGPathSegCurvetoCubicSmoothRel = 12504,
  SVGPathSegCurvetoQuadraticAbs = 12536,
  SVGPathSegCurvetoQuadraticRel = 12566,
  SVGPathSegCurvetoQuadraticSmoothAbs = 12596,
  SVGPathSegCurvetoQuadraticSmoothRel = 12632,
  SVGPathSegLinetoAbs = 12668,
  SVGPathSegLinetoHorizontalAbs = 12688,
  SVGPathSegLinetoHorizontalRel = 12718,
  SVGPathSegLinetoRel = 12748,
  SVGPathSegLinetoVerticalAbs = 12768,
  SVGPathSegLinetoVerticalRel = 12796,
  SVGPathSegList = 12824,
  SVGPathSegMovetoAbs = 12839,
  SVGPathSegMovetoRel = 12859,
  SVGPatternElement = 12879,
  SVGPoint = 12897,
  SVGPointList = 12906,
  SVGPolygonElement = 12919,
  SVGPolylineElement = 12937,
  SVGPreserveAspectRatio = 12956,
  SVGRadialGradientElement = 12979,
  SVGRect = 13004,
  SVGRectElement = 13012,
  SVGSVGElement = 13027,
  SVGScriptElement = 13041,
  SVGSetElement = 13058,
  SVGStopElement = 13072,
  SVGStringList = 13087,
  SVGStyleElement = 13101,
  SVGSwitchElement = 13117,
  SVGSymbolElement = 13134,
  SVGTSpanElement = 13151,
  SVGTextContentElement = 13167,
  SVGTextElement = 13189,
  SVGTextPathElement = 13204,
  SVGTextPositioningElement = 13223,
  SVGTitleElement = 13249,
  SVGTransform = 13265,
  SVGTransformList = 13278,
  SVGUnitTypes = 13295,
  SVGUseElement = 13308,
  SVGViewElement = 13322,
  Sanitizer = 13337,
  Scheduler = 13347,
  Screen = 13357,
  ScreenLuminance = 13364,
  ScreenOrientation = 13380,
  ScriptProcessorNode = 13398,
  ScrollAreaEvent = 13418,
  ScrollViewChangeEvent = 13434,
  SecurityPolicyViolationEvent = 13456,
  Selection = 13485,
  ServiceWorker = 13495,
  ServiceWorkerContainer = 13509,
  ServiceWorkerGlobalScope = 13532,
  ServiceWorkerRegistration = 13557,
  SessionStoreFormData = 13583,
  SessionStoreScrollData = 13604,
  SessionStoreUtils = 13627,
  ShadowRealmGlobalScope = 13645,
  ShadowRoot = 13668,
  SharedWorker = 13679,
  SharedWorkerGlobalScope = 13692,
  SimpleGestureEvent = 13716,
  SourceBuffer = 13735,
  SourceBufferList = 13748,
  SpeechGrammar = 13765,
  SpeechGrammarList = 13779,
  SpeechRecognition = 13797,
  SpeechRecognitionAlternative = 13815,
  SpeechRecognitionError = 13844,
  SpeechRecognitionEvent = 13867,
  SpeechRecognitionResult = 13890,
  SpeechRecognitionResultList = 13914,
  SpeechSynthesis = 13942,
  SpeechSynthesisErrorEvent = 13958,
  SpeechSynthesisEvent = 13984,
  SpeechSynthesisUtterance = 14005,
  SpeechSynthesisVoice = 14030,
  StaticRange = 14051,
  StereoPannerNode = 14063,
  Storage = 14080,
  StorageEvent = 14088,
  StorageManager = 14101,
  StreamFilter = 14116,
  StreamFilterDataEvent = 14129,
  StructuredCloneHolder = 14151,
  StructuredCloneTester = 14173,
  StyleSheet = 14195,
  StyleSheetApplicableStateChangeEvent = 14206,
  StyleSheetList = 14243,
  StyleSheetRemovedEvent = 14258,
  SubmitEvent = 14281,
  SubtleCrypto = 14293,
  SyncMessageSender = 14306,
  SyncReadFile = 14324,
  TCPServerSocket = 14337,
  TCPServerSocketEvent = 14353,
  TCPSocket = 14374,
  TCPSocketErrorEvent = 14384,
  TCPSocketEvent = 14404,
  TaskController = 14419,
  TaskPriorityChangeEvent = 14434,
  TaskSignal = 14458,
  TelemetryStopwatch = 14469,
  TestUtils = 14488,
  TestingDeprecatedInterface = 14498,
  Text = 14525,
  TextClause = 14530,
  TextDecoder = 14541,
  TextDecoderStream = 14553,
  TextEncoder = 14571,
  TextEncoderStream = 14583,
  TextEvent = 14601,
  TextMetrics = 14611,
  TextTrack = 14623,
  TextTrackCue = 14633,
  TextTrackCueList = 14646,
  TextTrackList = 14663,
  TimeEvent = 14677,
  TimeRanges = 14687,
  ToggleEvent = 14698,
  Touch = 14710,
  TouchEvent = 14716,
  TouchList = 14727,
  TrackEvent = 14737,
  TransformStream = 14748,
  TransformStreamDefaultController = 14764,
  TransitionEvent = 14797,
  TreeColumn = 14813,
  TreeColumns = 14824,
  TreeContentView = 14836,
  TreeWalker = 14852,
  TrustedHTML = 14863,
  TrustedScript = 14875,
  TrustedScriptURL = 14889,
  TrustedTypePolicy = 14906,
  TrustedTypePolicyFactory = 14924,
  UDPMessageEvent = 14949,
  UDPSocket = 14965,
  UIEvent = 14975,
  URL = 14983,
  URLSearchParams = 14987,
  URLSearchParams_Iterator = 15003,
  UniFFIPointer = 15028,
  UniFFIScaffolding = 15042,
  UserActivation = 15060,
  UserInteraction = 15075,
  UserProximityEvent = 15091,
  VRDisplay = 15110,
  VRDisplayCapabilities = 15120,
  VRDisplayEvent = 15142,
  VREyeParameters = 15157,
  VRFieldOfView = 15173,
  VRFrameData = 15187,
  VRMockController = 15199,
  VRMockDisplay = 15216,
  VRPose = 15230,
  VRServiceTest = 15237,
  VRStageParameters = 15251,
  VTTCue = 15269,
  VTTRegion = 15276,
  ValidityState = 15286,
  VideoColorSpace = 15300,
  VideoDecoder = 15316,
  VideoEncoder = 15329,
  VideoFrame = 15342,
  VideoPlaybackQuality = 15353,
  VideoTrack = 15374,
  VideoTrackList = 15385,
  VisualViewport = 15400,
  WEBGL_color_buffer_float = 15415,
  WEBGL_compressed_texture_astc = 15440,
  WEBGL_compressed_texture_etc = 15470,
  WEBGL_compressed_texture_etc1 = 15499,
  WEBGL_compressed_texture_pvrtc = 15529,
  WEBGL_compressed_texture_s3tc = 15560,
  WEBGL_compressed_texture_s3tc_srgb = 15590,
  WEBGL_debug_renderer_info = 15625,
  WEBGL_debug_shaders = 15651,
  WEBGL_depth_texture = 15671,
  WEBGL_draw_buffers = 15691,
  WEBGL_explicit_present = 15710,
  WEBGL_lose_context = 15733,
  WEBGL_provoking_vertex = 15752,
  WakeLock = 15775,
  WakeLockSentinel = 15784,
  WaveShaperNode = 15801,
  WebExtensionContentScript = 15816,
  WebExtensionPolicy = 15842,
  WebGL2RenderingContext = 15861,
  WebGLActiveInfo = 15884,
  WebGLBuffer = 15900,
  WebGLContextEvent = 15912,
  WebGLFramebuffer = 15930,
  WebGLProgram = 15947,
  WebGLQuery = 15960,
  WebGLRenderbuffer = 15971,
  WebGLRenderingContext = 15989,
  WebGLSampler = 16011,
  WebGLShader = 16024,
  WebGLShaderPrecisionFormat = 16036,
  WebGLSync = 16063,
  WebGLTexture = 16073,
  WebGLTransformFeedback = 16086,
  WebGLUniformLocation = 16109,
  WebGLVertexArrayObject = 16130,
  WebKitCSSMatrix = 16153,
  WebSocket = 16169,
  WebTransport = 16179,
  WebTransportBidirectionalStream = 16192,
  WebTransportDatagramDuplexStream = 16224,
  WebTransportError = 16257,
  WebTransportReceiveStream = 16275,
  WebTransportSendStream = 16301,
  WheelEvent = 16324,
  Window = 16335,
  WindowClient = 16342,
  WindowContext = 16355,
  WindowGlobalChild = 16369,
  WindowGlobalParent = 16387,
  WindowRoot = 16406,
  Worker = 16417,
  WorkerDebuggerGlobalScope = 16424,
  WorkerGlobalScope = 16450,
  WorkerLocation = 16468,
  WorkerNavigator = 16483,
  WorkerTestUtils = 16499,
  Worklet = 16515,
  WorkletGlobalScope = 16523,
  WritableStream = 16542,
  WritableStreamDefaultController = 16557,
  WritableStreamDefaultWriter = 16589,
  XMLDocument = 16617,
  XMLHttpRequest = 16629,
  XMLHttpRequestEventTarget = 16644,
  XMLHttpRequestUpload = 16670,
  XMLSerializer = 16691,
  XPathEvaluator = 16705,
  XPathExpression = 16720,
  XPathResult = 16736,
  XRBoundedReferenceSpace = 16748,
  XRFrame = 16772,
  XRInputSource = 16780,
  XRInputSourceArray = 16794,
  XRInputSourceEvent = 16813,
  XRInputSourcesChangeEvent = 16832,
  XRPose = 16858,
  XRReferenceSpace = 16865,
  XRReferenceSpaceEvent = 16882,
  XRRenderState = 16904,
  XRRigidTransform = 16918,
  XRSession = 16935,
  XRSessionEvent = 16945,
  XRSpace = 16960,
  XRSystem = 16968,
  XRView = 16977,
  XRViewerPose = 16984,
  XRViewport = 16997,
  XRWebGLLayer = 17008,
  XSLTProcessor = 17021,
  XULCommandEvent = 17035,
  XULElement = 17051,
  XULFrameElement = 17062,
  XULMenuElement = 17078,
  XULPopupElement = 17093,
  XULResizerElement = 17109,
  XULTextElement = 17127,
  XULTreeElement = 17142,
  console = 17157,
  webkitSpeechGrammar = 17165,
  webkitSpeechGrammarList = 17185,
  webkitSpeechRecognition = 17209,
  webkitURL = 17233,
};

namespace binding_detail {
extern const char sBindingNames[];
}  // namespace binding_detail

MOZ_ALWAYS_INLINE const char* BindingName(BindingNamesOffset aOffset) {
  return binding_detail::sBindingNames + static_cast<size_t>(aOffset);
}

} // namespace mozilla::dom


#endif // DOM_BINDINGNAMES_H_
