#include "mozilla/EnumTypeTraits.h"
#include "mozilla/dom/BindingNames.h"

namespace mozilla::dom {

namespace binding_detail {

const char sBindingNames[] = {
  /*     0 */ "ANGLE_instanced_arrays" "\0"
  /*    23 */ "APZHitResultFlags" "\0"
  /*    41 */ "AbortController" "\0"
  /*    57 */ "AbortSignal" "\0"
  /*    69 */ "AbstractRange" "\0"
  /*    83 */ "AccessibleNode" "\0"
  /*    98 */ "Addon" "\0"
  /*   104 */ "AddonEvent" "\0"
  /*   115 */ "AddonInstall" "\0"
  /*   128 */ "AddonManager" "\0"
  /*   141 */ "AddonManagerPermissions" "\0"
  /*   165 */ "AnalyserNode" "\0"
  /*   178 */ "Animation" "\0"
  /*   188 */ "AnimationEffect" "\0"
  /*   204 */ "AnimationEvent" "\0"
  /*   219 */ "AnimationPlaybackEvent" "\0"
  /*   242 */ "AnimationTimeline" "\0"
  /*   260 */ "AnonymousContent" "\0"
  /*   277 */ "Attr" "\0"
  /*   282 */ "Audio" "\0"
  /*   288 */ "AudioBuffer" "\0"
  /*   300 */ "AudioBufferSourceNode" "\0"
  /*   322 */ "AudioContext" "\0"
  /*   335 */ "AudioData" "\0"
  /*   345 */ "AudioDecoder" "\0"
  /*   358 */ "AudioDestinationNode" "\0"
  /*   379 */ "AudioEncoder" "\0"
  /*   392 */ "AudioListener" "\0"
  /*   406 */ "AudioNode" "\0"
  /*   416 */ "AudioParam" "\0"
  /*   427 */ "AudioParamMap" "\0"
  /*   441 */ "AudioProcessingEvent" "\0"
  /*   462 */ "AudioScheduledSourceNode" "\0"
  /*   487 */ "AudioTrack" "\0"
  /*   498 */ "AudioTrackList" "\0"
  /*   513 */ "AudioWorklet" "\0"
  /*   526 */ "AudioWorkletGlobalScope" "\0"
  /*   550 */ "AudioWorkletNode" "\0"
  /*   567 */ "AudioWorkletProcessor" "\0"
  /*   589 */ "AuthenticatorAssertionResponse" "\0"
  /*   620 */ "AuthenticatorAttestationResponse" "\0"
  /*   653 */ "AuthenticatorResponse" "\0"
  /*   675 */ "BarProp" "\0"
  /*   683 */ "BaseAudioContext" "\0"
  /*   700 */ "BatteryManager" "\0"
  /*   715 */ "BeforeUnloadEvent" "\0"
  /*   733 */ "BiquadFilterNode" "\0"
  /*   750 */ "Blob" "\0"
  /*   755 */ "BlobEvent" "\0"
  /*   765 */ "BroadcastChannel" "\0"
  /*   782 */ "BrowsingContext" "\0"
  /*   798 */ "BrowsingContextGroup" "\0"
  /*   819 */ "ByteLengthQueuingStrategy" "\0"
  /*   845 */ "CDATASection" "\0"
  /*   858 */ "CSS" "\0"
  /*   862 */ "CSS2Properties" "\0"
  /*   877 */ "CSSAnimation" "\0"
  /*   890 */ "CSSConditionRule" "\0"
  /*   907 */ "CSSContainerRule" "\0"
  /*   924 */ "CSSCounterStyleRule" "\0"
  /*   944 */ "CSSCustomPropertyRegisteredEvent" "\0"
  /*   977 */ "CSSFontFaceRule" "\0"
  /*   993 */ "CSSFontFeatureValuesRule" "\0"
  /*  1018 */ "CSSFontPaletteValuesRule" "\0"
  /*  1043 */ "CSSGroupingRule" "\0"
  /*  1059 */ "CSSImportRule" "\0"
  /*  1073 */ "CSSKeyframeRule" "\0"
  /*  1089 */ "CSSKeyframesRule" "\0"
  /*  1106 */ "CSSLayerBlockRule" "\0"
  /*  1124 */ "CSSLayerStatementRule" "\0"
  /*  1146 */ "CSSMarginRule" "\0"
  /*  1160 */ "CSSMediaRule" "\0"
  /*  1173 */ "CSSMozDocumentRule" "\0"
  /*  1192 */ "CSSNamespaceRule" "\0"
  /*  1209 */ "CSSPageRule" "\0"
  /*  1221 */ "CSSPropertyRule" "\0"
  /*  1237 */ "CSSPseudoElement" "\0"
  /*  1254 */ "CSSRule" "\0"
  /*  1262 */ "CSSRuleList" "\0"
  /*  1274 */ "CSSScopeRule" "\0"
  /*  1287 */ "CSSStartingStyleRule" "\0"
  /*  1308 */ "CSSStyleDeclaration" "\0"
  /*  1328 */ "CSSStyleRule" "\0"
  /*  1341 */ "CSSStyleSheet" "\0"
  /*  1355 */ "CSSSupportsRule" "\0"
  /*  1371 */ "CSSTransition" "\0"
  /*  1385 */ "Cache" "\0"
  /*  1391 */ "CacheStorage" "\0"
  /*  1404 */ "CallbackDebuggerNotification" "\0"
  /*  1433 */ "CanonicalBrowsingContext" "\0"
  /*  1458 */ "CanvasCaptureMediaStream" "\0"
  /*  1483 */ "CanvasGradient" "\0"
  /*  1498 */ "CanvasPattern" "\0"
  /*  1512 */ "CanvasRenderingContext2D" "\0"
  /*  1537 */ "CaretPosition" "\0"
  /*  1551 */ "CaretStateChangedEvent" "\0"
  /*  1574 */ "ChannelMergerNode" "\0"
  /*  1592 */ "ChannelSplitterNode" "\0"
  /*  1612 */ "ChannelWrapper" "\0"
  /*  1627 */ "CharacterData" "\0"
  /*  1641 */ "CheckerboardReportService" "\0"
  /*  1667 */ "ChildProcessMessageManager" "\0"
  /*  1694 */ "ChildSHistory" "\0"
  /*  1708 */ "ChromeMessageBroadcaster" "\0"
  /*  1733 */ "ChromeMessageSender" "\0"
  /*  1753 */ "ChromeNodeList" "\0"
  /*  1768 */ "ChromeUtils" "\0"
  /*  1780 */ "ChromeWorker" "\0"
  /*  1793 */ "Client" "\0"
  /*  1800 */ "Clients" "\0"
  /*  1808 */ "Clipboard" "\0"
  /*  1818 */ "ClipboardEvent" "\0"
  /*  1833 */ "ClipboardItem" "\0"
  /*  1847 */ "ClonedErrorHolder" "\0"
  /*  1865 */ "CloseEvent" "\0"
  /*  1876 */ "CommandEvent" "\0"
  /*  1889 */ "Comment" "\0"
  /*  1897 */ "CompositionEvent" "\0"
  /*  1914 */ "CompressionStream" "\0"
  /*  1932 */ "ConsoleInstance" "\0"
  /*  1948 */ "ConstantSourceNode" "\0"
  /*  1967 */ "ContentFrameMessageManager" "\0"
  /*  1994 */ "ContentProcessMessageManager" "\0"
  /*  2023 */ "ContentVisibilityAutoStateChangeEvent" "\0"
  /*  2061 */ "ConvolverNode" "\0"
  /*  2075 */ "CountQueuingStrategy" "\0"
  /*  2096 */ "CreateOfferRequest" "\0"
  /*  2115 */ "Credential" "\0"
  /*  2126 */ "CredentialsContainer" "\0"
  /*  2147 */ "Crypto" "\0"
  /*  2154 */ "CryptoKey" "\0"
  /*  2164 */ "CustomElementRegistry" "\0"
  /*  2186 */ "CustomEvent" "\0"
  /*  2198 */ "CustomStateSet" "\0"
  /*  2213 */ "DOMException" "\0"
  /*  2226 */ "DOMImplementation" "\0"
  /*  2244 */ "DOMLocalization" "\0"
  /*  2260 */ "DOMMatrix" "\0"
  /*  2270 */ "DOMMatrixReadOnly" "\0"
  /*  2288 */ "DOMParser" "\0"
  /*  2298 */ "DOMPoint" "\0"
  /*  2307 */ "DOMPointReadOnly" "\0"
  /*  2324 */ "DOMQuad" "\0"
  /*  2332 */ "DOMRect" "\0"
  /*  2340 */ "DOMRectList" "\0"
  /*  2352 */ "DOMRectReadOnly" "\0"
  /*  2368 */ "DOMStringList" "\0"
  /*  2382 */ "DOMStringMap" "\0"
  /*  2395 */ "DOMTokenList" "\0"
  /*  2408 */ "DataTransfer" "\0"
  /*  2421 */ "DataTransferItem" "\0"
  /*  2438 */ "DataTransferItemList" "\0"
  /*  2459 */ "DebuggerNotification" "\0"
  /*  2480 */ "DebuggerNotificationObserver" "\0"
  /*  2509 */ "DecompressionStream" "\0"
  /*  2529 */ "DedicatedWorkerGlobalScope" "\0"
  /*  2556 */ "DelayNode" "\0"
  /*  2566 */ "DeprecationReportBody" "\0"
  /*  2588 */ "DeviceAcceleration" "\0"
  /*  2607 */ "DeviceLightEvent" "\0"
  /*  2624 */ "DeviceMotionEvent" "\0"
  /*  2642 */ "DeviceOrientationEvent" "\0"
  /*  2665 */ "DeviceRotationRate" "\0"
  /*  2684 */ "Directory" "\0"
  /*  2694 */ "Document" "\0"
  /*  2703 */ "DocumentFragment" "\0"
  /*  2720 */ "DocumentL10n" "\0"
  /*  2733 */ "DocumentTimeline" "\0"
  /*  2750 */ "DocumentType" "\0"
  /*  2763 */ "DominatorTree" "\0"
  /*  2777 */ "DragEvent" "\0"
  /*  2787 */ "DynamicsCompressorNode" "\0"
  /*  2810 */ "EXT_blend_minmax" "\0"
  /*  2827 */ "EXT_color_buffer_float" "\0"
  /*  2850 */ "EXT_color_buffer_half_float" "\0"
  /*  2878 */ "EXT_disjoint_timer_query" "\0"
  /*  2903 */ "EXT_float_blend" "\0"
  /*  2919 */ "EXT_frag_depth" "\0"
  /*  2934 */ "EXT_sRGB" "\0"
  /*  2943 */ "EXT_shader_texture_lod" "\0"
  /*  2966 */ "EXT_texture_compression_bptc" "\0"
  /*  2995 */ "EXT_texture_compression_rgtc" "\0"
  /*  3024 */ "EXT_texture_filter_anisotropic" "\0"
  /*  3055 */ "EXT_texture_norm16" "\0"
  /*  3074 */ "Element" "\0"
  /*  3082 */ "ElementInternals" "\0"
  /*  3099 */ "EncodedAudioChunk" "\0"
  /*  3117 */ "EncodedVideoChunk" "\0"
  /*  3135 */ "ErrorEvent" "\0"
  /*  3146 */ "Event" "\0"
  /*  3152 */ "EventCallbackDebuggerNotification" "\0"
  /*  3186 */ "EventCounts" "\0"
  /*  3198 */ "EventSource" "\0"
  /*  3210 */ "EventTarget" "\0"
  /*  3222 */ "Exception" "\0"
  /*  3232 */ "ExtendableEvent" "\0"
  /*  3248 */ "ExtendableMessageEvent" "\0"
  /*  3271 */ "ExtensionAlarms" "\0"
  /*  3287 */ "ExtensionBrowser" "\0"
  /*  3304 */ "ExtensionBrowserSettings" "\0"
  /*  3329 */ "ExtensionBrowserSettingsColorManagement" "\0"
  /*  3369 */ "ExtensionDns" "\0"
  /*  3382 */ "ExtensionEventManager" "\0"
  /*  3404 */ "ExtensionMockAPI" "\0"
  /*  3421 */ "ExtensionPort" "\0"
  /*  3435 */ "ExtensionProxy" "\0"
  /*  3450 */ "ExtensionRuntime" "\0"
  /*  3467 */ "ExtensionScripting" "\0"
  /*  3486 */ "ExtensionSetting" "\0"
  /*  3503 */ "ExtensionTest" "\0"
  /*  3517 */ "External" "\0"
  /*  3526 */ "FeaturePolicy" "\0"
  /*  3540 */ "FeaturePolicyViolationReportBody" "\0"
  /*  3573 */ "FetchEvent" "\0"
  /*  3584 */ "FetchObserver" "\0"
  /*  3598 */ "File" "\0"
  /*  3603 */ "FileList" "\0"
  /*  3612 */ "FileReader" "\0"
  /*  3623 */ "FileReaderSync" "\0"
  /*  3638 */ "FileSystem" "\0"
  /*  3649 */ "FileSystemDirectoryEntry" "\0"
  /*  3674 */ "FileSystemDirectoryHandle" "\0"
  /*  3700 */ "FileSystemDirectoryHandle AsyncIterator" "\0"
  /*  3740 */ "FileSystemDirectoryIterator" "\0"
  /*  3768 */ "FileSystemDirectoryReader" "\0"
  /*  3794 */ "FileSystemEntry" "\0"
  /*  3810 */ "FileSystemFileEntry" "\0"
  /*  3830 */ "FileSystemFileHandle" "\0"
  /*  3851 */ "FileSystemHandle" "\0"
  /*  3868 */ "FileSystemSyncAccessHandle" "\0"
  /*  3895 */ "FileSystemWritableFileStream" "\0"
  /*  3924 */ "Flex" "\0"
  /*  3929 */ "FlexItemValues" "\0"
  /*  3944 */ "FlexLineValues" "\0"
  /*  3959 */ "FluentBundle" "\0"
  /*  3972 */ "FluentBundleAsyncIterator" "\0"
  /*  3998 */ "FluentBundleIterator" "\0"
  /*  4019 */ "FluentPattern" "\0"
  /*  4033 */ "FluentResource" "\0"
  /*  4048 */ "FocusEvent" "\0"
  /*  4059 */ "FontFace" "\0"
  /*  4068 */ "FontFaceSet" "\0"
  /*  4080 */ "FontFaceSetIterator" "\0"
  /*  4100 */ "FontFaceSetLoadEvent" "\0"
  /*  4121 */ "FormData" "\0"
  /*  4130 */ "FormData Iterator" "\0"
  /*  4148 */ "FormDataEvent" "\0"
  /*  4162 */ "FragmentDirective" "\0"
  /*  4180 */ "FrameCrashedEvent" "\0"
  /*  4198 */ "FrameLoader" "\0"
  /*  4210 */ "GPU" "\0"
  /*  4214 */ "GPUAdapter" "\0"
  /*  4225 */ "GPUAdapterInfo" "\0"
  /*  4240 */ "GPUBindGroup" "\0"
  /*  4253 */ "GPUBindGroupLayout" "\0"
  /*  4272 */ "GPUBuffer" "\0"
  /*  4282 */ "GPUBufferUsage" "\0"
  /*  4297 */ "GPUCanvasContext" "\0"
  /*  4314 */ "GPUColorWrite" "\0"
  /*  4328 */ "GPUCommandBuffer" "\0"
  /*  4345 */ "GPUCommandEncoder" "\0"
  /*  4363 */ "GPUCompilationInfo" "\0"
  /*  4382 */ "GPUCompilationMessage" "\0"
  /*  4404 */ "GPUComputePassEncoder" "\0"
  /*  4426 */ "GPUComputePipeline" "\0"
  /*  4445 */ "GPUDevice" "\0"
  /*  4455 */ "GPUDeviceLostInfo" "\0"
  /*  4473 */ "GPUError" "\0"
  /*  4482 */ "GPUInternalError" "\0"
  /*  4499 */ "GPUMapMode" "\0"
  /*  4510 */ "GPUOutOfMemoryError" "\0"
  /*  4530 */ "GPUPipelineLayout" "\0"
  /*  4548 */ "GPUQuerySet" "\0"
  /*  4560 */ "GPUQueue" "\0"
  /*  4569 */ "GPURenderBundle" "\0"
  /*  4585 */ "GPURenderBundleEncoder" "\0"
  /*  4608 */ "GPURenderPassEncoder" "\0"
  /*  4629 */ "GPURenderPipeline" "\0"
  /*  4647 */ "GPUSampler" "\0"
  /*  4658 */ "GPUShaderModule" "\0"
  /*  4674 */ "GPUShaderStage" "\0"
  /*  4689 */ "GPUSupportedFeatures" "\0"
  /*  4710 */ "GPUSupportedLimits" "\0"
  /*  4729 */ "GPUTexture" "\0"
  /*  4740 */ "GPUTextureUsage" "\0"
  /*  4756 */ "GPUTextureView" "\0"
  /*  4771 */ "GPUUncapturedErrorEvent" "\0"
  /*  4795 */ "GPUValidationError" "\0"
  /*  4814 */ "GainNode" "\0"
  /*  4823 */ "Gamepad" "\0"
  /*  4831 */ "GamepadAxisMoveEvent" "\0"
  /*  4852 */ "GamepadButton" "\0"
  /*  4866 */ "GamepadButtonEvent" "\0"
  /*  4885 */ "GamepadEvent" "\0"
  /*  4898 */ "GamepadHapticActuator" "\0"
  /*  4920 */ "GamepadLightIndicator" "\0"
  /*  4942 */ "GamepadPose" "\0"
  /*  4954 */ "GamepadServiceTest" "\0"
  /*  4973 */ "GamepadTouch" "\0"
  /*  4986 */ "Geolocation" "\0"
  /*  4998 */ "GeolocationCoordinates" "\0"
  /*  5021 */ "GeolocationPosition" "\0"
  /*  5041 */ "GeolocationPositionError" "\0"
  /*  5066 */ "GetUserMediaRequest" "\0"
  /*  5086 */ "GleanBoolean" "\0"
  /*  5099 */ "GleanCategory" "\0"
  /*  5113 */ "GleanCounter" "\0"
  /*  5126 */ "GleanCustomDistribution" "\0"
  /*  5150 */ "GleanDatetime" "\0"
  /*  5164 */ "GleanDenominator" "\0"
  /*  5181 */ "GleanEvent" "\0"
  /*  5192 */ "GleanImpl" "\0"
  /*  5202 */ "GleanLabeled" "\0"
  /*  5215 */ "GleanMemoryDistribution" "\0"
  /*  5239 */ "GleanMetric" "\0"
  /*  5251 */ "GleanNumerator" "\0"
  /*  5266 */ "GleanObject" "\0"
  /*  5278 */ "GleanPingsImpl" "\0"
  /*  5293 */ "GleanQuantity" "\0"
  /*  5307 */ "GleanRate" "\0"
  /*  5317 */ "GleanString" "\0"
  /*  5329 */ "GleanStringList" "\0"
  /*  5345 */ "GleanText" "\0"
  /*  5355 */ "GleanTimespan" "\0"
  /*  5369 */ "GleanTimingDistribution" "\0"
  /*  5393 */ "GleanUrl" "\0"
  /*  5402 */ "GleanUuid" "\0"
  /*  5412 */ "Grid" "\0"
  /*  5417 */ "GridArea" "\0"
  /*  5426 */ "GridDimension" "\0"
  /*  5440 */ "GridLine" "\0"
  /*  5449 */ "GridLines" "\0"
  /*  5459 */ "GridTrack" "\0"
  /*  5469 */ "GridTracks" "\0"
  /*  5480 */ "HTMLAllCollection" "\0"
  /*  5498 */ "HTMLAnchorElement" "\0"
  /*  5516 */ "HTMLAreaElement" "\0"
  /*  5532 */ "HTMLAudioElement" "\0"
  /*  5549 */ "HTMLBRElement" "\0"
  /*  5563 */ "HTMLBaseElement" "\0"
  /*  5579 */ "HTMLBodyElement" "\0"
  /*  5595 */ "HTMLButtonElement" "\0"
  /*  5613 */ "HTMLCanvasElement" "\0"
  /*  5631 */ "HTMLCollection" "\0"
  /*  5646 */ "HTMLDListElement" "\0"
  /*  5663 */ "HTMLDataElement" "\0"
  /*  5679 */ "HTMLDataListElement" "\0"
  /*  5699 */ "HTMLDetailsElement" "\0"
  /*  5718 */ "HTMLDialogElement" "\0"
  /*  5736 */ "HTMLDirectoryElement" "\0"
  /*  5757 */ "HTMLDivElement" "\0"
  /*  5772 */ "HTMLDocument" "\0"
  /*  5785 */ "HTMLElement" "\0"
  /*  5797 */ "HTMLEmbedElement" "\0"
  /*  5814 */ "HTMLFieldSetElement" "\0"
  /*  5834 */ "HTMLFontElement" "\0"
  /*  5850 */ "HTMLFormControlsCollection" "\0"
  /*  5877 */ "HTMLFormElement" "\0"
  /*  5893 */ "HTMLFrameElement" "\0"
  /*  5910 */ "HTMLFrameSetElement" "\0"
  /*  5930 */ "HTMLHRElement" "\0"
  /*  5944 */ "HTMLHeadElement" "\0"
  /*  5960 */ "HTMLHeadingElement" "\0"
  /*  5979 */ "HTMLHtmlElement" "\0"
  /*  5995 */ "HTMLIFrameElement" "\0"
  /*  6013 */ "HTMLImageElement" "\0"
  /*  6030 */ "HTMLInputElement" "\0"
  /*  6047 */ "HTMLLIElement" "\0"
  /*  6061 */ "HTMLLabelElement" "\0"
  /*  6078 */ "HTMLLegendElement" "\0"
  /*  6096 */ "HTMLLinkElement" "\0"
  /*  6112 */ "HTMLMapElement" "\0"
  /*  6127 */ "HTMLMarqueeElement" "\0"
  /*  6146 */ "HTMLMediaElement" "\0"
  /*  6163 */ "HTMLMenuElement" "\0"
  /*  6179 */ "HTMLMetaElement" "\0"
  /*  6195 */ "HTMLMeterElement" "\0"
  /*  6212 */ "HTMLModElement" "\0"
  /*  6227 */ "HTMLOListElement" "\0"
  /*  6244 */ "HTMLObjectElement" "\0"
  /*  6262 */ "HTMLOptGroupElement" "\0"
  /*  6282 */ "HTMLOptionElement" "\0"
  /*  6300 */ "HTMLOptionsCollection" "\0"
  /*  6322 */ "HTMLOutputElement" "\0"
  /*  6340 */ "HTMLParagraphElement" "\0"
  /*  6361 */ "HTMLParamElement" "\0"
  /*  6378 */ "HTMLPictureElement" "\0"
  /*  6397 */ "HTMLPreElement" "\0"
  /*  6412 */ "HTMLProgressElement" "\0"
  /*  6432 */ "HTMLQuoteElement" "\0"
  /*  6449 */ "HTMLScriptElement" "\0"
  /*  6467 */ "HTMLSelectElement" "\0"
  /*  6485 */ "HTMLSlotElement" "\0"
  /*  6501 */ "HTMLSourceElement" "\0"
  /*  6519 */ "HTMLSpanElement" "\0"
  /*  6535 */ "HTMLStyleElement" "\0"
  /*  6552 */ "HTMLTableCaptionElement" "\0"
  /*  6576 */ "HTMLTableCellElement" "\0"
  /*  6597 */ "HTMLTableColElement" "\0"
  /*  6617 */ "HTMLTableElement" "\0"
  /*  6634 */ "HTMLTableRowElement" "\0"
  /*  6654 */ "HTMLTableSectionElement" "\0"
  /*  6678 */ "HTMLTemplateElement" "\0"
  /*  6698 */ "HTMLTextAreaElement" "\0"
  /*  6718 */ "HTMLTimeElement" "\0"
  /*  6734 */ "HTMLTitleElement" "\0"
  /*  6751 */ "HTMLTrackElement" "\0"
  /*  6768 */ "HTMLUListElement" "\0"
  /*  6785 */ "HTMLUnknownElement" "\0"
  /*  6804 */ "HTMLVideoElement" "\0"
  /*  6821 */ "HashChangeEvent" "\0"
  /*  6837 */ "Headers" "\0"
  /*  6845 */ "Headers Iterator" "\0"
  /*  6862 */ "HeapSnapshot" "\0"
  /*  6875 */ "Highlight" "\0"
  /*  6885 */ "HighlightRegistry" "\0"
  /*  6903 */ "History" "\0"
  /*  6911 */ "IDBCursor" "\0"
  /*  6921 */ "IDBCursorWithValue" "\0"
  /*  6940 */ "IDBDatabase" "\0"
  /*  6952 */ "IDBFactory" "\0"
  /*  6963 */ "IDBIndex" "\0"
  /*  6972 */ "IDBKeyRange" "\0"
  /*  6984 */ "IDBObjectStore" "\0"
  /*  6999 */ "IDBOpenDBRequest" "\0"
  /*  7016 */ "IDBRequest" "\0"
  /*  7027 */ "IDBTransaction" "\0"
  /*  7042 */ "IDBVersionChangeEvent" "\0"
  /*  7064 */ "IIRFilterNode" "\0"
  /*  7078 */ "IOUtils" "\0"
  /*  7086 */ "IdentityCredential" "\0"
  /*  7105 */ "IdleDeadline" "\0"
  /*  7118 */ "Image" "\0"
  /*  7124 */ "ImageBitmap" "\0"
  /*  7136 */ "ImageBitmapRenderingContext" "\0"
  /*  7164 */ "ImageCapture" "\0"
  /*  7177 */ "ImageCaptureError" "\0"
  /*  7195 */ "ImageCaptureErrorEvent" "\0"
  /*  7218 */ "ImageData" "\0"
  /*  7228 */ "ImageDocument" "\0"
  /*  7242 */ "InputEvent" "\0"
  /*  7253 */ "InspectorCSSParser" "\0"
  /*  7272 */ "InspectorFontFace" "\0"
  /*  7290 */ "InspectorUtils" "\0"
  /*  7305 */ "InstallTriggerImpl" "\0"
  /*  7324 */ "IntersectionObserver" "\0"
  /*  7345 */ "IntersectionObserverEntry" "\0"
  /*  7371 */ "IntlUtils" "\0"
  /*  7381 */ "InvokeEvent" "\0"
  /*  7393 */ "JSProcessActorChild" "\0"
  /*  7413 */ "JSProcessActorParent" "\0"
  /*  7434 */ "JSWindowActorChild" "\0"
  /*  7453 */ "JSWindowActorParent" "\0"
  /*  7473 */ "KeyEvent" "\0"
  /*  7482 */ "KeyboardEvent" "\0"
  /*  7496 */ "KeyframeEffect" "\0"
  /*  7511 */ "L10nFileSource" "\0"
  /*  7526 */ "L10nOverlays" "\0"
  /*  7539 */ "L10nRegistry" "\0"
  /*  7552 */ "LargestContentfulPaint" "\0"
  /*  7575 */ "LegacyMozTCPSocket" "\0"
  /*  7594 */ "Localization" "\0"
  /*  7607 */ "Location" "\0"
  /*  7616 */ "Lock" "\0"
  /*  7621 */ "LockManager" "\0"
  /*  7633 */ "MIDIAccess" "\0"
  /*  7644 */ "MIDIConnectionEvent" "\0"
  /*  7664 */ "MIDIInput" "\0"
  /*  7674 */ "MIDIInputMap" "\0"
  /*  7687 */ "MIDIMessageEvent" "\0"
  /*  7704 */ "MIDIOutput" "\0"
  /*  7715 */ "MIDIOutputMap" "\0"
  /*  7729 */ "MIDIPort" "\0"
  /*  7738 */ "MOZ_debug" "\0"
  /*  7748 */ "MatchGlob" "\0"
  /*  7758 */ "MatchPattern" "\0"
  /*  7771 */ "MatchPatternSet" "\0"
  /*  7787 */ "MathMLElement" "\0"
  /*  7801 */ "MediaCapabilities" "\0"
  /*  7819 */ "MediaCapabilitiesInfo" "\0"
  /*  7841 */ "MediaControlService" "\0"
  /*  7861 */ "MediaController" "\0"
  /*  7877 */ "MediaDeviceInfo" "\0"
  /*  7893 */ "MediaDevices" "\0"
  /*  7906 */ "MediaElementAudioSourceNode" "\0"
  /*  7934 */ "MediaEncryptedEvent" "\0"
  /*  7954 */ "MediaError" "\0"
  /*  7965 */ "MediaKeyError" "\0"
  /*  7979 */ "MediaKeyMessageEvent" "\0"
  /*  8000 */ "MediaKeySession" "\0"
  /*  8016 */ "MediaKeyStatusMap" "\0"
  /*  8034 */ "MediaKeyStatusMap Iterator" "\0"
  /*  8061 */ "MediaKeySystemAccess" "\0"
  /*  8082 */ "MediaKeys" "\0"
  /*  8092 */ "MediaList" "\0"
  /*  8102 */ "MediaMetadata" "\0"
  /*  8116 */ "MediaQueryList" "\0"
  /*  8131 */ "MediaQueryListEvent" "\0"
  /*  8151 */ "MediaRecorder" "\0"
  /*  8165 */ "MediaRecorderErrorEvent" "\0"
  /*  8189 */ "MediaSession" "\0"
  /*  8202 */ "MediaSource" "\0"
  /*  8214 */ "MediaStream" "\0"
  /*  8226 */ "MediaStreamAudioDestinationNode" "\0"
  /*  8258 */ "MediaStreamAudioSourceNode" "\0"
  /*  8285 */ "MediaStreamError" "\0"
  /*  8302 */ "MediaStreamEvent" "\0"
  /*  8319 */ "MediaStreamTrack" "\0"
  /*  8336 */ "MediaStreamTrackAudioSourceNode" "\0"
  /*  8368 */ "MediaStreamTrackEvent" "\0"
  /*  8390 */ "MerchantValidationEvent" "\0"
  /*  8414 */ "MessageBroadcaster" "\0"
  /*  8433 */ "MessageChannel" "\0"
  /*  8448 */ "MessageEvent" "\0"
  /*  8461 */ "MessageListenerManager" "\0"
  /*  8484 */ "MessagePort" "\0"
  /*  8496 */ "MessageSender" "\0"
  /*  8510 */ "MimeType" "\0"
  /*  8519 */ "MimeTypeArray" "\0"
  /*  8533 */ "MouseEvent" "\0"
  /*  8544 */ "MouseScrollEvent" "\0"
  /*  8561 */ "MozCanvasPrintState" "\0"
  /*  8581 */ "MozDocumentMatcher" "\0"
  /*  8600 */ "MozDocumentObserver" "\0"
  /*  8620 */ "MozQueryInterface" "\0"
  /*  8638 */ "MozSharedMap" "\0"
  /*  8651 */ "MozSharedMap Iterator" "\0"
  /*  8673 */ "MozSharedMapChangeEvent" "\0"
  /*  8697 */ "MozStorageAsyncStatementParams" "\0"
  /*  8728 */ "MozStorageStatementParams" "\0"
  /*  8754 */ "MozStorageStatementRow" "\0"
  /*  8777 */ "MozWritableSharedMap" "\0"
  /*  8798 */ "MutationEvent" "\0"
  /*  8812 */ "MutationObserver" "\0"
  /*  8829 */ "MutationRecord" "\0"
  /*  8844 */ "NamedNodeMap" "\0"
  /*  8857 */ "NavigationPreloadManager" "\0"
  /*  8882 */ "Navigator" "\0"
  /*  8892 */ "NetworkInformation" "\0"
  /*  8911 */ "Node" "\0"
  /*  8916 */ "NodeFilter" "\0"
  /*  8927 */ "NodeIterator" "\0"
  /*  8940 */ "NodeList" "\0"
  /*  8949 */ "Notification" "\0"
  /*  8962 */ "NotificationEvent" "\0"
  /*  8980 */ "NotifyPaintEvent" "\0"
  /*  8997 */ "OES_draw_buffers_indexed" "\0"
  /*  9022 */ "OES_element_index_uint" "\0"
  /*  9045 */ "OES_fbo_render_mipmap" "\0"
  /*  9067 */ "OES_standard_derivatives" "\0"
  /*  9092 */ "OES_texture_float" "\0"
  /*  9110 */ "OES_texture_float_linear" "\0"
  /*  9135 */ "OES_texture_half_float" "\0"
  /*  9158 */ "OES_texture_half_float_linear" "\0"
  /*  9188 */ "OES_vertex_array_object" "\0"
  /*  9212 */ "OVR_multiview2" "\0"
  /*  9227 */ "OfflineAudioCompletionEvent" "\0"
  /*  9255 */ "OfflineAudioContext" "\0"
  /*  9275 */ "OffscreenCanvas" "\0"
  /*  9291 */ "OffscreenCanvasRenderingContext2D" "\0"
  /*  9325 */ "Option" "\0"
  /*  9332 */ "OscillatorNode" "\0"
  /*  9347 */ "PageTransitionEvent" "\0"
  /*  9367 */ "PaintRequest" "\0"
  /*  9380 */ "PaintRequestList" "\0"
  /*  9397 */ "PaintWorkletGlobalScope" "\0"
  /*  9421 */ "PannerNode" "\0"
  /*  9432 */ "ParentProcessMessageManager" "\0"
  /*  9460 */ "Path2D" "\0"
  /*  9467 */ "PathUtils" "\0"
  /*  9477 */ "PaymentAddress" "\0"
  /*  9492 */ "PaymentMethodChangeEvent" "\0"
  /*  9517 */ "PaymentRequest" "\0"
  /*  9532 */ "PaymentRequestUpdateEvent" "\0"
  /*  9558 */ "PaymentResponse" "\0"
  /*  9574 */ "Performance" "\0"
  /*  9586 */ "PerformanceEntry" "\0"
  /*  9603 */ "PerformanceEntryEvent" "\0"
  /*  9625 */ "PerformanceEventTiming" "\0"
  /*  9648 */ "PerformanceMark" "\0"
  /*  9664 */ "PerformanceMeasure" "\0"
  /*  9683 */ "PerformanceNavigation" "\0"
  /*  9705 */ "PerformanceNavigationTiming" "\0"
  /*  9733 */ "PerformanceObserver" "\0"
  /*  9753 */ "PerformanceObserverEntryList" "\0"
  /*  9782 */ "PerformancePaintTiming" "\0"
  /*  9805 */ "PerformanceResourceTiming" "\0"
  /*  9831 */ "PerformanceServerTiming" "\0"
  /*  9855 */ "PerformanceTiming" "\0"
  /*  9873 */ "PeriodicWave" "\0"
  /*  9886 */ "PermissionStatus" "\0"
  /*  9903 */ "Permissions" "\0"
  /*  9915 */ "PlacesBookmark" "\0"
  /*  9930 */ "PlacesBookmarkAddition" "\0"
  /*  9953 */ "PlacesBookmarkChanged" "\0"
  /*  9975 */ "PlacesBookmarkGuid" "\0"
  /*  9994 */ "PlacesBookmarkKeyword" "\0"
  /* 10016 */ "PlacesBookmarkMoved" "\0"
  /* 10036 */ "PlacesBookmarkRemoved" "\0"
  /* 10058 */ "PlacesBookmarkTags" "\0"
  /* 10077 */ "PlacesBookmarkTime" "\0"
  /* 10096 */ "PlacesBookmarkTitle" "\0"
  /* 10116 */ "PlacesBookmarkUrl" "\0"
  /* 10134 */ "PlacesEvent" "\0"
  /* 10146 */ "PlacesEventCounts" "\0"
  /* 10164 */ "PlacesFavicon" "\0"
  /* 10178 */ "PlacesHistoryCleared" "\0"
  /* 10199 */ "PlacesObservers" "\0"
  /* 10215 */ "PlacesPurgeCaches" "\0"
  /* 10233 */ "PlacesRanking" "\0"
  /* 10247 */ "PlacesVisit" "\0"
  /* 10259 */ "PlacesVisitRemoved" "\0"
  /* 10278 */ "PlacesVisitTitle" "\0"
  /* 10295 */ "PlacesWeakCallbackWrapper" "\0"
  /* 10321 */ "Plugin" "\0"
  /* 10328 */ "PluginArray" "\0"
  /* 10340 */ "PluginCrashedEvent" "\0"
  /* 10359 */ "PointerEvent" "\0"
  /* 10372 */ "PopStateEvent" "\0"
  /* 10386 */ "PopupBlockedEvent" "\0"
  /* 10404 */ "PopupPositionedEvent" "\0"
  /* 10425 */ "PositionStateEvent" "\0"
  /* 10444 */ "PrecompiledScript" "\0"
  /* 10462 */ "ProcessMessageManager" "\0"
  /* 10484 */ "ProcessingInstruction" "\0"
  /* 10506 */ "ProgressEvent" "\0"
  /* 10520 */ "PromiseDebugging" "\0"
  /* 10537 */ "PromiseNativeHandler" "\0"
  /* 10558 */ "PromiseRejectionEvent" "\0"
  /* 10580 */ "PublicKeyCredential" "\0"
  /* 10600 */ "PushEvent" "\0"
  /* 10610 */ "PushManager" "\0"
  /* 10622 */ "PushManagerImpl" "\0"
  /* 10638 */ "PushMessageData" "\0"
  /* 10654 */ "PushSubscription" "\0"
  /* 10671 */ "PushSubscriptionOptions" "\0"
  /* 10695 */ "RadioNodeList" "\0"
  /* 10709 */ "Range" "\0"
  /* 10715 */ "ReadableByteStreamController" "\0"
  /* 10744 */ "ReadableStream" "\0"
  /* 10759 */ "ReadableStream AsyncIterator" "\0"
  /* 10788 */ "ReadableStreamBYOBReader" "\0"
  /* 10813 */ "ReadableStreamBYOBRequest" "\0"
  /* 10839 */ "ReadableStreamDefaultController" "\0"
  /* 10871 */ "ReadableStreamDefaultReader" "\0"
  /* 10899 */ "Report" "\0"
  /* 10906 */ "ReportBody" "\0"
  /* 10917 */ "ReportingObserver" "\0"
  /* 10935 */ "Request" "\0"
  /* 10943 */ "ResizeObserver" "\0"
  /* 10958 */ "ResizeObserverEntry" "\0"
  /* 10978 */ "ResizeObserverSize" "\0"
  /* 10997 */ "Response" "\0"
  /* 11006 */ "SVGAElement" "\0"
  /* 11018 */ "SVGAngle" "\0"
  /* 11027 */ "SVGAnimateElement" "\0"
  /* 11045 */ "SVGAnimateMotionElement" "\0"
  /* 11069 */ "SVGAnimateTransformElement" "\0"
  /* 11096 */ "SVGAnimatedAngle" "\0"
  /* 11113 */ "SVGAnimatedBoolean" "\0"
  /* 11132 */ "SVGAnimatedEnumeration" "\0"
  /* 11155 */ "SVGAnimatedInteger" "\0"
  /* 11174 */ "SVGAnimatedLength" "\0"
  /* 11192 */ "SVGAnimatedLengthList" "\0"
  /* 11214 */ "SVGAnimatedNumber" "\0"
  /* 11232 */ "SVGAnimatedNumberList" "\0"
  /* 11254 */ "SVGAnimatedPreserveAspectRatio" "\0"
  /* 11285 */ "SVGAnimatedRect" "\0"
  /* 11301 */ "SVGAnimatedString" "\0"
  /* 11319 */ "SVGAnimatedTransformList" "\0"
  /* 11344 */ "SVGAnimationElement" "\0"
  /* 11364 */ "SVGCircleElement" "\0"
  /* 11381 */ "SVGClipPathElement" "\0"
  /* 11400 */ "SVGComponentTransferFunctionElement" "\0"
  /* 11436 */ "SVGDefsElement" "\0"
  /* 11451 */ "SVGDescElement" "\0"
  /* 11466 */ "SVGElement" "\0"
  /* 11477 */ "SVGEllipseElement" "\0"
  /* 11495 */ "SVGFEBlendElement" "\0"
  /* 11513 */ "SVGFEColorMatrixElement" "\0"
  /* 11537 */ "SVGFEComponentTransferElement" "\0"
  /* 11567 */ "SVGFECompositeElement" "\0"
  /* 11589 */ "SVGFEConvolveMatrixElement" "\0"
  /* 11616 */ "SVGFEDiffuseLightingElement" "\0"
  /* 11644 */ "SVGFEDisplacementMapElement" "\0"
  /* 11672 */ "SVGFEDistantLightElement" "\0"
  /* 11697 */ "SVGFEDropShadowElement" "\0"
  /* 11720 */ "SVGFEFloodElement" "\0"
  /* 11738 */ "SVGFEFuncAElement" "\0"
  /* 11756 */ "SVGFEFuncBElement" "\0"
  /* 11774 */ "SVGFEFuncGElement" "\0"
  /* 11792 */ "SVGFEFuncRElement" "\0"
  /* 11810 */ "SVGFEGaussianBlurElement" "\0"
  /* 11835 */ "SVGFEImageElement" "\0"
  /* 11853 */ "SVGFEMergeElement" "\0"
  /* 11871 */ "SVGFEMergeNodeElement" "\0"
  /* 11893 */ "SVGFEMorphologyElement" "\0"
  /* 11916 */ "SVGFEOffsetElement" "\0"
  /* 11935 */ "SVGFEPointLightElement" "\0"
  /* 11958 */ "SVGFESpecularLightingElement" "\0"
  /* 11987 */ "SVGFESpotLightElement" "\0"
  /* 12009 */ "SVGFETileElement" "\0"
  /* 12026 */ "SVGFETurbulenceElement" "\0"
  /* 12049 */ "SVGFilterElement" "\0"
  /* 12066 */ "SVGForeignObjectElement" "\0"
  /* 12090 */ "SVGGElement" "\0"
  /* 12102 */ "SVGGeometryElement" "\0"
  /* 12121 */ "SVGGradientElement" "\0"
  /* 12140 */ "SVGGraphicsElement" "\0"
  /* 12159 */ "SVGImageElement" "\0"
  /* 12175 */ "SVGLength" "\0"
  /* 12185 */ "SVGLengthList" "\0"
  /* 12199 */ "SVGLineElement" "\0"
  /* 12214 */ "SVGLinearGradientElement" "\0"
  /* 12239 */ "SVGMPathElement" "\0"
  /* 12255 */ "SVGMarkerElement" "\0"
  /* 12272 */ "SVGMaskElement" "\0"
  /* 12287 */ "SVGMatrix" "\0"
  /* 12297 */ "SVGMetadataElement" "\0"
  /* 12316 */ "SVGNumber" "\0"
  /* 12326 */ "SVGNumberList" "\0"
  /* 12340 */ "SVGPathElement" "\0"
  /* 12355 */ "SVGPathSeg" "\0"
  /* 12366 */ "SVGPathSegArcAbs" "\0"
  /* 12383 */ "SVGPathSegArcRel" "\0"
  /* 12400 */ "SVGPathSegClosePath" "\0"
  /* 12420 */ "SVGPathSegCurvetoCubicAbs" "\0"
  /* 12446 */ "SVGPathSegCurvetoCubicRel" "\0"
  /* 12472 */ "SVGPathSegCurvetoCubicSmoothAbs" "\0"
  /* 12504 */ "SVGPathSegCurvetoCubicSmoothRel" "\0"
  /* 12536 */ "SVGPathSegCurvetoQuadraticAbs" "\0"
  /* 12566 */ "SVGPathSegCurvetoQuadraticRel" "\0"
  /* 12596 */ "SVGPathSegCurvetoQuadraticSmoothAbs" "\0"
  /* 12632 */ "SVGPathSegCurvetoQuadraticSmoothRel" "\0"
  /* 12668 */ "SVGPathSegLinetoAbs" "\0"
  /* 12688 */ "SVGPathSegLinetoHorizontalAbs" "\0"
  /* 12718 */ "SVGPathSegLinetoHorizontalRel" "\0"
  /* 12748 */ "SVGPathSegLinetoRel" "\0"
  /* 12768 */ "SVGPathSegLinetoVerticalAbs" "\0"
  /* 12796 */ "SVGPathSegLinetoVerticalRel" "\0"
  /* 12824 */ "SVGPathSegList" "\0"
  /* 12839 */ "SVGPathSegMovetoAbs" "\0"
  /* 12859 */ "SVGPathSegMovetoRel" "\0"
  /* 12879 */ "SVGPatternElement" "\0"
  /* 12897 */ "SVGPoint" "\0"
  /* 12906 */ "SVGPointList" "\0"
  /* 12919 */ "SVGPolygonElement" "\0"
  /* 12937 */ "SVGPolylineElement" "\0"
  /* 12956 */ "SVGPreserveAspectRatio" "\0"
  /* 12979 */ "SVGRadialGradientElement" "\0"
  /* 13004 */ "SVGRect" "\0"
  /* 13012 */ "SVGRectElement" "\0"
  /* 13027 */ "SVGSVGElement" "\0"
  /* 13041 */ "SVGScriptElement" "\0"
  /* 13058 */ "SVGSetElement" "\0"
  /* 13072 */ "SVGStopElement" "\0"
  /* 13087 */ "SVGStringList" "\0"
  /* 13101 */ "SVGStyleElement" "\0"
  /* 13117 */ "SVGSwitchElement" "\0"
  /* 13134 */ "SVGSymbolElement" "\0"
  /* 13151 */ "SVGTSpanElement" "\0"
  /* 13167 */ "SVGTextContentElement" "\0"
  /* 13189 */ "SVGTextElement" "\0"
  /* 13204 */ "SVGTextPathElement" "\0"
  /* 13223 */ "SVGTextPositioningElement" "\0"
  /* 13249 */ "SVGTitleElement" "\0"
  /* 13265 */ "SVGTransform" "\0"
  /* 13278 */ "SVGTransformList" "\0"
  /* 13295 */ "SVGUnitTypes" "\0"
  /* 13308 */ "SVGUseElement" "\0"
  /* 13322 */ "SVGViewElement" "\0"
  /* 13337 */ "Sanitizer" "\0"
  /* 13347 */ "Scheduler" "\0"
  /* 13357 */ "Screen" "\0"
  /* 13364 */ "ScreenLuminance" "\0"
  /* 13380 */ "ScreenOrientation" "\0"
  /* 13398 */ "ScriptProcessorNode" "\0"
  /* 13418 */ "ScrollAreaEvent" "\0"
  /* 13434 */ "ScrollViewChangeEvent" "\0"
  /* 13456 */ "SecurityPolicyViolationEvent" "\0"
  /* 13485 */ "Selection" "\0"
  /* 13495 */ "ServiceWorker" "\0"
  /* 13509 */ "ServiceWorkerContainer" "\0"
  /* 13532 */ "ServiceWorkerGlobalScope" "\0"
  /* 13557 */ "ServiceWorkerRegistration" "\0"
  /* 13583 */ "SessionStoreFormData" "\0"
  /* 13604 */ "SessionStoreScrollData" "\0"
  /* 13627 */ "SessionStoreUtils" "\0"
  /* 13645 */ "ShadowRealmGlobalScope" "\0"
  /* 13668 */ "ShadowRoot" "\0"
  /* 13679 */ "SharedWorker" "\0"
  /* 13692 */ "SharedWorkerGlobalScope" "\0"
  /* 13716 */ "SimpleGestureEvent" "\0"
  /* 13735 */ "SourceBuffer" "\0"
  /* 13748 */ "SourceBufferList" "\0"
  /* 13765 */ "SpeechGrammar" "\0"
  /* 13779 */ "SpeechGrammarList" "\0"
  /* 13797 */ "SpeechRecognition" "\0"
  /* 13815 */ "SpeechRecognitionAlternative" "\0"
  /* 13844 */ "SpeechRecognitionError" "\0"
  /* 13867 */ "SpeechRecognitionEvent" "\0"
  /* 13890 */ "SpeechRecognitionResult" "\0"
  /* 13914 */ "SpeechRecognitionResultList" "\0"
  /* 13942 */ "SpeechSynthesis" "\0"
  /* 13958 */ "SpeechSynthesisErrorEvent" "\0"
  /* 13984 */ "SpeechSynthesisEvent" "\0"
  /* 14005 */ "SpeechSynthesisUtterance" "\0"
  /* 14030 */ "SpeechSynthesisVoice" "\0"
  /* 14051 */ "StaticRange" "\0"
  /* 14063 */ "StereoPannerNode" "\0"
  /* 14080 */ "Storage" "\0"
  /* 14088 */ "StorageEvent" "\0"
  /* 14101 */ "StorageManager" "\0"
  /* 14116 */ "StreamFilter" "\0"
  /* 14129 */ "StreamFilterDataEvent" "\0"
  /* 14151 */ "StructuredCloneHolder" "\0"
  /* 14173 */ "StructuredCloneTester" "\0"
  /* 14195 */ "StyleSheet" "\0"
  /* 14206 */ "StyleSheetApplicableStateChangeEvent" "\0"
  /* 14243 */ "StyleSheetList" "\0"
  /* 14258 */ "StyleSheetRemovedEvent" "\0"
  /* 14281 */ "SubmitEvent" "\0"
  /* 14293 */ "SubtleCrypto" "\0"
  /* 14306 */ "SyncMessageSender" "\0"
  /* 14324 */ "SyncReadFile" "\0"
  /* 14337 */ "TCPServerSocket" "\0"
  /* 14353 */ "TCPServerSocketEvent" "\0"
  /* 14374 */ "TCPSocket" "\0"
  /* 14384 */ "TCPSocketErrorEvent" "\0"
  /* 14404 */ "TCPSocketEvent" "\0"
  /* 14419 */ "TaskController" "\0"
  /* 14434 */ "TaskPriorityChangeEvent" "\0"
  /* 14458 */ "TaskSignal" "\0"
  /* 14469 */ "TelemetryStopwatch" "\0"
  /* 14488 */ "TestUtils" "\0"
  /* 14498 */ "TestingDeprecatedInterface" "\0"
  /* 14525 */ "Text" "\0"
  /* 14530 */ "TextClause" "\0"
  /* 14541 */ "TextDecoder" "\0"
  /* 14553 */ "TextDecoderStream" "\0"
  /* 14571 */ "TextEncoder" "\0"
  /* 14583 */ "TextEncoderStream" "\0"
  /* 14601 */ "TextEvent" "\0"
  /* 14611 */ "TextMetrics" "\0"
  /* 14623 */ "TextTrack" "\0"
  /* 14633 */ "TextTrackCue" "\0"
  /* 14646 */ "TextTrackCueList" "\0"
  /* 14663 */ "TextTrackList" "\0"
  /* 14677 */ "TimeEvent" "\0"
  /* 14687 */ "TimeRanges" "\0"
  /* 14698 */ "ToggleEvent" "\0"
  /* 14710 */ "Touch" "\0"
  /* 14716 */ "TouchEvent" "\0"
  /* 14727 */ "TouchList" "\0"
  /* 14737 */ "TrackEvent" "\0"
  /* 14748 */ "TransformStream" "\0"
  /* 14764 */ "TransformStreamDefaultController" "\0"
  /* 14797 */ "TransitionEvent" "\0"
  /* 14813 */ "TreeColumn" "\0"
  /* 14824 */ "TreeColumns" "\0"
  /* 14836 */ "TreeContentView" "\0"
  /* 14852 */ "TreeWalker" "\0"
  /* 14863 */ "TrustedHTML" "\0"
  /* 14875 */ "TrustedScript" "\0"
  /* 14889 */ "TrustedScriptURL" "\0"
  /* 14906 */ "TrustedTypePolicy" "\0"
  /* 14924 */ "TrustedTypePolicyFactory" "\0"
  /* 14949 */ "UDPMessageEvent" "\0"
  /* 14965 */ "UDPSocket" "\0"
  /* 14975 */ "UIEvent" "\0"
  /* 14983 */ "URL" "\0"
  /* 14987 */ "URLSearchParams" "\0"
  /* 15003 */ "URLSearchParams Iterator" "\0"
  /* 15028 */ "UniFFIPointer" "\0"
  /* 15042 */ "UniFFIScaffolding" "\0"
  /* 15060 */ "UserActivation" "\0"
  /* 15075 */ "UserInteraction" "\0"
  /* 15091 */ "UserProximityEvent" "\0"
  /* 15110 */ "VRDisplay" "\0"
  /* 15120 */ "VRDisplayCapabilities" "\0"
  /* 15142 */ "VRDisplayEvent" "\0"
  /* 15157 */ "VREyeParameters" "\0"
  /* 15173 */ "VRFieldOfView" "\0"
  /* 15187 */ "VRFrameData" "\0"
  /* 15199 */ "VRMockController" "\0"
  /* 15216 */ "VRMockDisplay" "\0"
  /* 15230 */ "VRPose" "\0"
  /* 15237 */ "VRServiceTest" "\0"
  /* 15251 */ "VRStageParameters" "\0"
  /* 15269 */ "VTTCue" "\0"
  /* 15276 */ "VTTRegion" "\0"
  /* 15286 */ "ValidityState" "\0"
  /* 15300 */ "VideoColorSpace" "\0"
  /* 15316 */ "VideoDecoder" "\0"
  /* 15329 */ "VideoEncoder" "\0"
  /* 15342 */ "VideoFrame" "\0"
  /* 15353 */ "VideoPlaybackQuality" "\0"
  /* 15374 */ "VideoTrack" "\0"
  /* 15385 */ "VideoTrackList" "\0"
  /* 15400 */ "VisualViewport" "\0"
  /* 15415 */ "WEBGL_color_buffer_float" "\0"
  /* 15440 */ "WEBGL_compressed_texture_astc" "\0"
  /* 15470 */ "WEBGL_compressed_texture_etc" "\0"
  /* 15499 */ "WEBGL_compressed_texture_etc1" "\0"
  /* 15529 */ "WEBGL_compressed_texture_pvrtc" "\0"
  /* 15560 */ "WEBGL_compressed_texture_s3tc" "\0"
  /* 15590 */ "WEBGL_compressed_texture_s3tc_srgb" "\0"
  /* 15625 */ "WEBGL_debug_renderer_info" "\0"
  /* 15651 */ "WEBGL_debug_shaders" "\0"
  /* 15671 */ "WEBGL_depth_texture" "\0"
  /* 15691 */ "WEBGL_draw_buffers" "\0"
  /* 15710 */ "WEBGL_explicit_present" "\0"
  /* 15733 */ "WEBGL_lose_context" "\0"
  /* 15752 */ "WEBGL_provoking_vertex" "\0"
  /* 15775 */ "WakeLock" "\0"
  /* 15784 */ "WakeLockSentinel" "\0"
  /* 15801 */ "WaveShaperNode" "\0"
  /* 15816 */ "WebExtensionContentScript" "\0"
  /* 15842 */ "WebExtensionPolicy" "\0"
  /* 15861 */ "WebGL2RenderingContext" "\0"
  /* 15884 */ "WebGLActiveInfo" "\0"
  /* 15900 */ "WebGLBuffer" "\0"
  /* 15912 */ "WebGLContextEvent" "\0"
  /* 15930 */ "WebGLFramebuffer" "\0"
  /* 15947 */ "WebGLProgram" "\0"
  /* 15960 */ "WebGLQuery" "\0"
  /* 15971 */ "WebGLRenderbuffer" "\0"
  /* 15989 */ "WebGLRenderingContext" "\0"
  /* 16011 */ "WebGLSampler" "\0"
  /* 16024 */ "WebGLShader" "\0"
  /* 16036 */ "WebGLShaderPrecisionFormat" "\0"
  /* 16063 */ "WebGLSync" "\0"
  /* 16073 */ "WebGLTexture" "\0"
  /* 16086 */ "WebGLTransformFeedback" "\0"
  /* 16109 */ "WebGLUniformLocation" "\0"
  /* 16130 */ "WebGLVertexArrayObject" "\0"
  /* 16153 */ "WebKitCSSMatrix" "\0"
  /* 16169 */ "WebSocket" "\0"
  /* 16179 */ "WebTransport" "\0"
  /* 16192 */ "WebTransportBidirectionalStream" "\0"
  /* 16224 */ "WebTransportDatagramDuplexStream" "\0"
  /* 16257 */ "WebTransportError" "\0"
  /* 16275 */ "WebTransportReceiveStream" "\0"
  /* 16301 */ "WebTransportSendStream" "\0"
  /* 16324 */ "WheelEvent" "\0"
  /* 16335 */ "Window" "\0"
  /* 16342 */ "WindowClient" "\0"
  /* 16355 */ "WindowContext" "\0"
  /* 16369 */ "WindowGlobalChild" "\0"
  /* 16387 */ "WindowGlobalParent" "\0"
  /* 16406 */ "WindowRoot" "\0"
  /* 16417 */ "Worker" "\0"
  /* 16424 */ "WorkerDebuggerGlobalScope" "\0"
  /* 16450 */ "WorkerGlobalScope" "\0"
  /* 16468 */ "WorkerLocation" "\0"
  /* 16483 */ "WorkerNavigator" "\0"
  /* 16499 */ "WorkerTestUtils" "\0"
  /* 16515 */ "Worklet" "\0"
  /* 16523 */ "WorkletGlobalScope" "\0"
  /* 16542 */ "WritableStream" "\0"
  /* 16557 */ "WritableStreamDefaultController" "\0"
  /* 16589 */ "WritableStreamDefaultWriter" "\0"
  /* 16617 */ "XMLDocument" "\0"
  /* 16629 */ "XMLHttpRequest" "\0"
  /* 16644 */ "XMLHttpRequestEventTarget" "\0"
  /* 16670 */ "XMLHttpRequestUpload" "\0"
  /* 16691 */ "XMLSerializer" "\0"
  /* 16705 */ "XPathEvaluator" "\0"
  /* 16720 */ "XPathExpression" "\0"
  /* 16736 */ "XPathResult" "\0"
  /* 16748 */ "XRBoundedReferenceSpace" "\0"
  /* 16772 */ "XRFrame" "\0"
  /* 16780 */ "XRInputSource" "\0"
  /* 16794 */ "XRInputSourceArray" "\0"
  /* 16813 */ "XRInputSourceEvent" "\0"
  /* 16832 */ "XRInputSourcesChangeEvent" "\0"
  /* 16858 */ "XRPose" "\0"
  /* 16865 */ "XRReferenceSpace" "\0"
  /* 16882 */ "XRReferenceSpaceEvent" "\0"
  /* 16904 */ "XRRenderState" "\0"
  /* 16918 */ "XRRigidTransform" "\0"
  /* 16935 */ "XRSession" "\0"
  /* 16945 */ "XRSessionEvent" "\0"
  /* 16960 */ "XRSpace" "\0"
  /* 16968 */ "XRSystem" "\0"
  /* 16977 */ "XRView" "\0"
  /* 16984 */ "XRViewerPose" "\0"
  /* 16997 */ "XRViewport" "\0"
  /* 17008 */ "XRWebGLLayer" "\0"
  /* 17021 */ "XSLTProcessor" "\0"
  /* 17035 */ "XULCommandEvent" "\0"
  /* 17051 */ "XULElement" "\0"
  /* 17062 */ "XULFrameElement" "\0"
  /* 17078 */ "XULMenuElement" "\0"
  /* 17093 */ "XULPopupElement" "\0"
  /* 17109 */ "XULResizerElement" "\0"
  /* 17127 */ "XULTextElement" "\0"
  /* 17142 */ "XULTreeElement" "\0"
  /* 17157 */ "console" "\0"
  /* 17165 */ "webkitSpeechGrammar" "\0"
  /* 17185 */ "webkitSpeechGrammarList" "\0"
  /* 17209 */ "webkitSpeechRecognition" "\0"
  /* 17233 */ "webkitURL"
};

}  // namespace binding_detail

// Making this enum bigger than a uint16_t has consequences on the size
// of some structs (eg. WebIDLNameTableEntry) and tables. We should try
// to avoid that.
static_assert(EnumTypeFitsWithin<BindingNamesOffset, uint16_t>::value,
              "Size increase");

} // namespace mozilla::dom

